WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/October 2023/6 Oct 2023

Ospreys 28–26 Cardiff Rugby

236 photographs Mark Lewis/Huw Evans Agency Friday
Prints from £8 Order prints
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keelan Giles  of Ospreys is tackled by Owen Lane of Cardiff Rugby 001
CDF_061023_Ospreys_v_Cardiff_001.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keelan Giles of Ospreys is tackled by Owen Lane of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys 002
CDF_061023_Ospreys_v_Cardiff_002.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Harri Deaves of Ospreys is tackled by Alex Mann of Cardiff Rugby 003
CDF_061023_Ospreys_v_Cardiff_003.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Harri Deaves of Ospreys is tackled by Alex Mann of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Max Nagy of Ospreys takes the high ball 004
CDF_061023_Ospreys_v_Cardiff_004.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Max Nagy of Ospreys takes the high ball
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - James Botham of Cardiff Rugby 005
CDF_061023_Ospreys_v_Cardiff_005.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - James Botham of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ben Thomas of Cardiff Rugby 006
CDF_061023_Ospreys_v_Cardiff_006.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ben Thomas of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ben Thomas of Cardiff Rugby 007
CDF_061023_Ospreys_v_Cardiff_007.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ben Thomas of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby is tackled by Keelan Giles  of Ospreys 008
CDF_061023_Ospreys_v_Cardiff_008.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby is tackled by Keelan Giles of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ethan Lewis of Ospreys 009
CDF_061023_Ospreys_v_Cardiff_009.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ethan Lewis of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Max Nagy of Ospreys is tackled by Owen Lane of Cardiff Rugby 010
CDF_061023_Ospreys_v_Cardiff_010.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Max Nagy of Ospreys is tackled by Owen Lane of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ellis Bevan of Cardiff Rugby is tackled by Reuben Morgan-Williams of Ospreys 011
CDF_061023_Ospreys_v_Cardiff_011.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ellis Bevan of Cardiff Rugby is tackled by Reuben Morgan-Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Morgan Morris of Ospreys is tackled by  Alex Mann of Cardiff Rugby 012
CDF_061023_Ospreys_v_Cardiff_012.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Morgan Morris of Ospreys is tackled by Alex Mann of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Jacob Beetham of Cardiff Rugby 013
CDF_061023_Ospreys_v_Cardiff_013.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Jacob Beetham of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby 014
CDF_061023_Ospreys_v_Cardiff_014.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Teddy Williams of Cardiff Rugby is tackled by Keelan Giles  of Ospreys 015
CDF_061023_Ospreys_v_Cardiff_015.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Teddy Williams of Cardiff Rugby is tackled by Keelan Giles of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Teddy Williams of Cardiff Rugby is tackled by Keelan Giles  of Ospreys 016
CDF_061023_Ospreys_v_Cardiff_016.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Teddy Williams of Cardiff Rugby is tackled by Keelan Giles of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ben Thomas of Cardiff Rugby 017
CDF_061023_Ospreys_v_Cardiff_017.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ben Thomas of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - James Botham of Cardiff Rugby celebrates scoring a try 018
CDF_061023_Ospreys_v_Cardiff_018.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - James Botham of Cardiff Rugby celebrates scoring a try
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - James Botham of Cardiff Rugby celebrates scoring a try 019
CDF_061023_Ospreys_v_Cardiff_019.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - James Botham of Cardiff Rugby celebrates scoring a try
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - James Botham of Cardiff Rugby celebrates scoring a try 020
CDF_061023_Ospreys_v_Cardiff_020.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - James Botham of Cardiff Rugby celebrates scoring a try
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ethan Lewis of Ospreys 021
CDF_061023_Ospreys_v_Cardiff_021.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ethan Lewis of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ethan Lewis of Ospreys 022
CDF_061023_Ospreys_v_Cardiff_022.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ethan Lewis of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Morgan Morris of Ospreys 023
CDF_061023_Ospreys_v_Cardiff_023.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Morgan Morris of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Morgan Morris of Ospreys 024
CDF_061023_Ospreys_v_Cardiff_024.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Morgan Morris of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Morgan Morris of Ospreys 025
CDF_061023_Ospreys_v_Cardiff_025.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Morgan Morris of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keelan Giles  of Ospreys scores a try 026
CDF_061023_Ospreys_v_Cardiff_026.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keelan Giles of Ospreys scores a try
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keelan Giles  of Ospreys scores a try 027
CDF_061023_Ospreys_v_Cardiff_027.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keelan Giles of Ospreys scores a try
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keelan Giles  of Ospreys scores a try 028
CDF_061023_Ospreys_v_Cardiff_028.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keelan Giles of Ospreys scores a try
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys 029
CDF_061023_Ospreys_v_Cardiff_029.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys 030
CDF_061023_Ospreys_v_Cardiff_030.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys 031
CDF_061023_Ospreys_v_Cardiff_031.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys 032
CDF_061023_Ospreys_v_Cardiff_032.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys 033
CDF_061023_Ospreys_v_Cardiff_033.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Will Griffiths of Ospreys 034
CDF_061023_Ospreys_v_Cardiff_034.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Will Griffiths of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys 035
CDF_061023_Ospreys_v_Cardiff_035.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys 036
CDF_061023_Ospreys_v_Cardiff_036.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys 037
CDF_061023_Ospreys_v_Cardiff_037.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 038
CDF_061023_Ospreys_v_Cardiff_038.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Morgan Morse of Ospreys scores a try 039
CDF_061023_Ospreys_v_Cardiff_039.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Morgan Morse of Ospreys scores a try
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Morgan Morse of Ospreys scores a try 040
CDF_061023_Ospreys_v_Cardiff_040.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Morgan Morse of Ospreys scores a try
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys 041
CDF_061023_Ospreys_v_Cardiff_041.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys 042
CDF_061023_Ospreys_v_Cardiff_042.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys 043
CDF_061023_Ospreys_v_Cardiff_043.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys 044
CDF_061023_Ospreys_v_Cardiff_044.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 045
CDF_061023_Ospreys_v_Cardiff_045.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 046
CDF_061023_Ospreys_v_Cardiff_046.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 047
CDF_061023_Ospreys_v_Cardiff_047.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 048
CDF_061023_Ospreys_v_Cardiff_048.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 049
CDF_061023_Ospreys_v_Cardiff_049.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Morgan Morris of Ospreys 050
CDF_061023_Ospreys_v_Cardiff_050.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Morgan Morris of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Will Griffiths of Ospreys 051
CDF_061023_Ospreys_v_Cardiff_051.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Will Griffiths of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keelan Giles  of Ospreys scores 052
CDF_061023_Ospreys_v_Cardiff_052.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keelan Giles of Ospreys scores
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keelan Giles  of Ospreys scores 053
CDF_061023_Ospreys_v_Cardiff_053.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keelan Giles of Ospreys scores
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys is tackled by Ben Thomas of Cardiff Rugby and Ellis Jenkins of Cardiff Rugby 054
CDF_061023_Ospreys_v_Cardiff_054.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys is tackled by Ben Thomas of Cardiff Rugby and Ellis Jenkins of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys is tackled by Ben Thomas of Cardiff Rugby and Ellis Jenkins of Cardiff Rugby 055
CDF_061023_Ospreys_v_Cardiff_055.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys is tackled by Ben Thomas of Cardiff Rugby and Ellis Jenkins of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Richard Fussell 056
CDF_061023_Ospreys_v_Cardiff_056.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Richard Fussell
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Richard Fussell 057
CDF_061023_Ospreys_v_Cardiff_057.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Richard Fussell
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Mark Jones 058
CDF_061023_Ospreys_v_Cardiff_099.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Mark Jones
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Will Griffiths of Ospreys and Justin Tipuric of Ospreys 059
CDF_061023_Ospreys_v_Cardiff_100.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Will Griffiths of Ospreys and Justin Tipuric of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 060
CDF_061023_Ospreys_v_Cardiff_101.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Toby Booth 061
CDF_061023_Ospreys_v_Cardiff_102.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Toby Booth
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Toby Booth 062
CDF_061023_Ospreys_v_Cardiff_103.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Toby Booth
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Toby Booth 063
CDF_061023_Ospreys_v_Cardiff_104.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Toby Booth
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys 064
CDF_061023_Ospreys_v_Cardiff_105.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys 065
CDF_061023_Ospreys_v_Cardiff_106.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 066
CDF_061023_Ospreys_v_Cardiff_107.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keelan Giles  of Ospreys 067
CDF_061023_Ospreys_v_Cardiff_108.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keelan Giles of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys and Keelan Giles  of Ospreys 068
CDF_061023_Ospreys_v_Cardiff_109.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys and Keelan Giles of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys 069
CDF_061023_Ospreys_v_Cardiff_110.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys 070
CDF_061023_Ospreys_v_Cardiff_111.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys 071
CDF_061023_Ospreys_v_Cardiff_112.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 072
CDF_061023_Ospreys_v_Cardiff_113.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 073
CDF_061023_Ospreys_v_Cardiff_114.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Fans 074
CDF_061023_Ospreys_v_Cardiff_115.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Fans
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Max Nagy of Ospreys 075
CDF_061023_Ospreys_v_Cardiff_116.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Max Nagy of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keelan Giles  of Ospreys 076
CDF_061023_Ospreys_v_Cardiff_117.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keelan Giles of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keelan Giles  of Ospreys 077
CDF_061023_Ospreys_v_Cardiff_118.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keelan Giles of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Owen Williams of Ospreys 078
CDF_061023_Ospreys_v_Cardiff_119.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Owen Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 079
CDF_061023_Ospreys_v_Cardiff_120.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Fans 080
CDF_061023_Ospreys_v_Cardiff_121.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Fans
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Dom Morris of Ospreys 081
CDF_061023_Ospreys_v_Cardiff_122.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Dom Morris of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ellis Jenkins of Cardiff Rugby 082
CDF_061023_Ospreys_v_Cardiff_123.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ellis Jenkins of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Fans 083
CDF_061023_Ospreys_v_Cardiff_124.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Fans
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Fans 084
CDF_061023_Ospreys_v_Cardiff_125.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Fans
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Fans 085
CDF_061023_Ospreys_v_Cardiff_126.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Fans
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 086
CDF_061023_Ospreys_v_Cardiff_127.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Jacob Beetham of Cardiff Rugby 087
CDF_061023_Ospreys_v_Cardiff_128.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Jacob Beetham of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Fans 088
CDF_061023_Ospreys_v_Cardiff_129.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Fans
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Fans 089
CDF_061023_Ospreys_v_Cardiff_130.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Fans
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Fans 090
CDF_061023_Ospreys_v_Cardiff_131.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Fans
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Huddle 091
CDF_061023_Ospreys_v_Cardiff_132.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Huddle
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys 092
CDF_061023_Ospreys_v_Cardiff_133.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Morgan Morris of Ospreys 093
CDF_061023_Ospreys_v_Cardiff_134.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Morgan Morris of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 094
CDF_061023_Ospreys_v_Cardiff_135.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 095
CDF_061023_Ospreys_v_Cardiff_136.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 096
CDF_061023_Ospreys_v_Cardiff_137.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Harri Deaves of Ospreys takes on Rhys Carre of Cardiff Rugby 097
CDF_061023_Ospreys_v_Cardiff_138.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Harri Deaves of Ospreys takes on Rhys Carre of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ethan Lewis of Ospreys 098
CDF_061023_Ospreys_v_Cardiff_139.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ethan Lewis of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys 099
CDF_061023_Ospreys_v_Cardiff_140.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rhys Carre of Cardiff Rugby 100
CDF_061023_Ospreys_v_Cardiff_141.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rhys Carre of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Teddy Williams of Cardiff Rugby 101
CDF_061023_Ospreys_v_Cardiff_142.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Teddy Williams of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 102
CDF_061023_Ospreys_v_Cardiff_143.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 103
CDF_061023_Ospreys_v_Cardiff_144.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 104
CDF_061023_Ospreys_v_Cardiff_145.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby 105
CDF_061023_Ospreys_v_Cardiff_146.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby 106
CDF_061023_Ospreys_v_Cardiff_147.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby is tackled by Will Griffiths of Ospreys and Harri Deaves of Ospreys 107
CDF_061023_Ospreys_v_Cardiff_148.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby is tackled by Will Griffiths of Ospreys and Harri Deaves of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Sinus de Beer of Cardiff Rugby 108
CDF_061023_Ospreys_v_Cardiff_149.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Sinus de Beer of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Teddy Williams of Cardiff Rugby 109
CDF_061023_Ospreys_v_Cardiff_150.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Teddy Williams of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 110
CDF_061023_Ospreys_v_Cardiff_151.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 111
CDF_061023_Ospreys_v_Cardiff_152.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 112
CDF_061023_Ospreys_v_Cardiff_153.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 113
CDF_061023_Ospreys_v_Cardiff_154.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ben Thomas of Cardiff Rugby 114
CDF_061023_Ospreys_v_Cardiff_155.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ben Thomas of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Sinus de Beer of Cardiff Rugby 115
CDF_061023_Ospreys_v_Cardiff_156.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Sinus de Beer of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Owen Lane of Cardiff Rugby and Sinus de Beer of Cardiff Rugby 116
CDF_061023_Ospreys_v_Cardiff_157.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Owen Lane of Cardiff Rugby and Sinus de Beer of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ben Thomas of Cardiff Rugby takes on Owen Williams of Ospreys 117
CDF_061023_Ospreys_v_Cardiff_158.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ben Thomas of Cardiff Rugby takes on Owen Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Sinus de Beer of Cardiff Rugby 118
CDF_061023_Ospreys_v_Cardiff_159.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Sinus de Beer of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Sinus de Beer of Cardiff Rugby 119
CDF_061023_Ospreys_v_Cardiff_160.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Sinus de Beer of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Teddy Williams of Cardiff Rugby 120
CDF_061023_Ospreys_v_Cardiff_161.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Teddy Williams of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Alex Mann of Cardiff Rugby 121
CDF_061023_Ospreys_v_Cardiff_162.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Alex Mann of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 122
CDF_061023_Ospreys_v_Cardiff_163.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - James Botham of Cardiff Rugby 123
CDF_061023_Ospreys_v_Cardiff_164.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - James Botham of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Sinus de Beer of Cardiff Rugby 124
CDF_061023_Ospreys_v_Cardiff_165.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Sinus de Beer of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Sinus de Beer of Cardiff Rugby 125
CDF_061023_Ospreys_v_Cardiff_166.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Sinus de Beer of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Sinus de Beer of Cardiff Rugby 126
CDF_061023_Ospreys_v_Cardiff_167.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Sinus de Beer of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Sinus de Beer of Cardiff Rugby 127
CDF_061023_Ospreys_v_Cardiff_168.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Sinus de Beer of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - James Botham of Cardiff Rugby scores s try 128
CDF_061023_Ospreys_v_Cardiff_169.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - James Botham of Cardiff Rugby scores s try
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Skewen RFC 129
CDF_061023_Ospreys_v_Cardiff_170.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Skewen RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Skewen RFC 130
CDF_061023_Ospreys_v_Cardiff_171.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Skewen RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Waunarlwydd RFC 131
CDF_061023_Ospreys_v_Cardiff_172.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Waunarlwydd RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Waunarlwydd RFC 132
CDF_061023_Ospreys_v_Cardiff_173.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Waunarlwydd RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Waunarlwydd RFC 133
CDF_061023_Ospreys_v_Cardiff_174.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Waunarlwydd RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Skewen RFC 134
CDF_061023_Ospreys_v_Cardiff_175.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Skewen RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Skewen RFC 135
CDF_061023_Ospreys_v_Cardiff_176.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Skewen RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Skewen RFC 136
CDF_061023_Ospreys_v_Cardiff_177.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Skewen RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Skewen RFC 137
CDF_061023_Ospreys_v_Cardiff_178.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Skewen RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Skewen RFC 138
CDF_061023_Ospreys_v_Cardiff_179.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Skewen RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Skewen RFC 139
CDF_061023_Ospreys_v_Cardiff_180.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Skewen RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Skewen RFC 140
CDF_061023_Ospreys_v_Cardiff_181.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Skewen RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Skewen RFC 141
CDF_061023_Ospreys_v_Cardiff_182.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Skewen RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC 142
CDF_061023_Ospreys_v_Cardiff_183.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC 143
CDF_061023_Ospreys_v_Cardiff_184.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC 144
CDF_061023_Ospreys_v_Cardiff_185.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC 145
CDF_061023_Ospreys_v_Cardiff_186.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC 146
CDF_061023_Ospreys_v_Cardiff_187.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC 147
CDF_061023_Ospreys_v_Cardiff_188.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC 148
CDF_061023_Ospreys_v_Cardiff_189.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC 149
CDF_061023_Ospreys_v_Cardiff_190.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Swansea Uplands RFC 150
CDF_061023_Ospreys_v_Cardiff_191.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Swansea Uplands RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Swansea Uplands RFC 151
CDF_061023_Ospreys_v_Cardiff_192.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Swansea Uplands RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Swansea Uplands RFC 152
CDF_061023_Ospreys_v_Cardiff_193.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Swansea Uplands RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC 153
CDF_061023_Ospreys_v_Cardiff_194.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC 154
CDF_061023_Ospreys_v_Cardiff_195.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC 155
CDF_061023_Ospreys_v_Cardiff_196.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC 156
CDF_061023_Ospreys_v_Cardiff_197.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Deri RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Maesteg Celtic RFC 157
CDF_061023_Ospreys_v_Cardiff_198.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Maesteg Celtic RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Maesteg Celtic RFC 158
CDF_061023_Ospreys_v_Cardiff_199.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Maesteg Celtic RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Swansea Uplands RFC 159
CDF_061023_Ospreys_v_Cardiff_200.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Half time tag rugby - Swansea Uplands RFC
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers 160
CDF_061023_Ospreys_v_Cardiff_201.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers 161
CDF_061023_Ospreys_v_Cardiff_202.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Morgan Morris of Ospreys 162
CDF_061023_Ospreys_v_Cardiff_203.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Morgan Morris of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ethan Lewis of Ospreys 163
CDF_061023_Ospreys_v_Cardiff_204.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Ethan Lewis of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Owen Williams of Ospreys 164
CDF_061023_Ospreys_v_Cardiff_205.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Owen Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys 165
CDF_061023_Ospreys_v_Cardiff_206.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys 166
CDF_061023_Ospreys_v_Cardiff_207.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Luke Morgan of Ospreys 167
CDF_061023_Ospreys_v_Cardiff_208.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Luke Morgan of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys 168
CDF_061023_Ospreys_v_Cardiff_209.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 169
CDF_061023_Ospreys_v_Cardiff_210.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys 170
CDF_061023_Ospreys_v_Cardiff_211.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 171
CDF_061023_Ospreys_v_Cardiff_212.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 172
CDF_061023_Ospreys_v_Cardiff_213.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Owen Williams of Ospreys 173
CDF_061023_Ospreys_v_Cardiff_214.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Owen Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby 174
CDF_061023_Ospreys_v_Cardiff_215.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby 175
CDF_061023_Ospreys_v_Cardiff_216.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 176
CDF_061023_Ospreys_v_Cardiff_217.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 177
CDF_061023_Ospreys_v_Cardiff_218.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 178
CDF_061023_Ospreys_v_Cardiff_219.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Teddy Williams of Cardiff Rugby 179
CDF_061023_Ospreys_v_Cardiff_220.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Teddy Williams of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Teddy Williams of Cardiff Rugby 180
CDF_061023_Ospreys_v_Cardiff_221.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Teddy Williams of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys wins line out ball 181
CDF_061023_Ospreys_v_Cardiff_222.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys wins line out ball
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 182
CDF_061023_Ospreys_v_Cardiff_223.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 183
CDF_061023_Ospreys_v_Cardiff_224.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby 184
CDF_061023_Ospreys_v_Cardiff_225.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 185
CDF_061023_Ospreys_v_Cardiff_226.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 186
CDF_061023_Ospreys_v_Cardiff_227.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 187
CDF_061023_Ospreys_v_Cardiff_228.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 188
CDF_061023_Ospreys_v_Cardiff_229.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 189
CDF_061023_Ospreys_v_Cardiff_230.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys 190
CDF_061023_Ospreys_v_Cardiff_231.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys 191
CDF_061023_Ospreys_v_Cardiff_232.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys 192
CDF_061023_Ospreys_v_Cardiff_233.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys 193
CDF_061023_Ospreys_v_Cardiff_234.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys 194
CDF_061023_Ospreys_v_Cardiff_235.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys 195
CDF_061023_Ospreys_v_Cardiff_236.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Reuben Morgan-Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 196
CDF_061023_Ospreys_v_Cardiff_237.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 197
CDF_061023_Ospreys_v_Cardiff_238.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 198
CDF_061023_Ospreys_v_Cardiff_239.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys 199
CDF_061023_Ospreys_v_Cardiff_240.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 200
CDF_061023_Ospreys_v_Cardiff_241.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys 201
CDF_061023_Ospreys_v_Cardiff_242.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys 202
CDF_061023_Ospreys_v_Cardiff_243.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys 203
CDF_061023_Ospreys_v_Cardiff_244.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Fans 204
CDF_061023_Ospreys_v_Cardiff_245.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Fans
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Seb Davies of Cardiff Rugby 205
CDF_061023_Ospreys_v_Cardiff_246.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Seb Davies of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Seb Davies of Cardiff Rugby 206
CDF_061023_Ospreys_v_Cardiff_247.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Seb Davies of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 207
CDF_061023_Ospreys_v_Cardiff_248.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Fans 208
CDF_061023_Ospreys_v_Cardiff_249.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Fans
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Willis Halaholo of Cardiff Rugby 209
CDF_061023_Ospreys_v_Cardiff_250.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Willis Halaholo of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 210
CDF_061023_Ospreys_v_Cardiff_251.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 211
CDF_061023_Ospreys_v_Cardiff_252.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Willis Halaholo of Cardiff Rugby 212
CDF_061023_Ospreys_v_Cardiff_253.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Willis Halaholo of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 213
CDF_061023_Ospreys_v_Cardiff_254.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - 214
CDF_061023_Ospreys_v_Cardiff_255.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly -
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys 215
CDF_061023_Ospreys_v_Cardiff_256.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Keiran Williams of Ospreys
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby 216
CDF_061023_Ospreys_v_Cardiff_257.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby 217
CDF_061023_Ospreys_v_Cardiff_258.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby 218
CDF_061023_Ospreys_v_Cardiff_259.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Rey Lee-Lo of Cardiff Rugby
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Duncan Jones 219
CDF_061023_Ospreys_v_Cardiff_260.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Duncan Jones
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Duncan Jones 220
CDF_061023_Ospreys_v_Cardiff_261.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Duncan Jones
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers 221
CDF_061023_Ospreys_v_Cardiff_263.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers 222
CDF_061023_Ospreys_v_Cardiff_264.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers 223
CDF_061023_Ospreys_v_Cardiff_265.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers 224
CDF_061023_Ospreys_v_Cardiff_266.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers 225
CDF_061023_Ospreys_v_Cardiff_267.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers 226
CDF_061023_Ospreys_v_Cardiff_268.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers 227
CDF_061023_Ospreys_v_Cardiff_269.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers 228
CDF_061023_Ospreys_v_Cardiff_270.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers 229
CDF_061023_Ospreys_v_Cardiff_271.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers 230
CDF_061023_Ospreys_v_Cardiff_272.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers 231
CDF_061023_Ospreys_v_Cardiff_273.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Flag bearers
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric leads his team out past the flag bearers 232
CDF_061023_Ospreys_v_Cardiff_274.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric leads his team out past the flag bearers
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric leads his team out past the flag bearers 233
CDF_061023_Ospreys_v_Cardiff_275.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric leads his team out past the flag bearers
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric leads his team out past the flag bearers 234
CDF_061023_Ospreys_v_Cardiff_276.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric leads his team out past the flag bearers
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric leads his team out past the flag bearers 235
CDF_061023_Ospreys_v_Cardiff_277.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric leads his team out past the flag bearers
061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric leads his team out past the flag bearers 236
CDF_061023_Ospreys_v_Cardiff_278.JPG · Mark Lewis/Huw Evans Agency061023 - Ospreys v Cardiff Rugby - Preseason Friendly - Justin Tipuric leads his team out past the flag bearers

More from around this date

Fri 6 OctScarlets 31-24 Dragons Fri 6 OctWales Rugby Captains Run Sat 7 OctNewport County 1-2 Harrogate Town Sat 7 OctCardiff City 1-1 Watford Sat 7 OctPlymouth Argyle 1-3 Swansea City Sat 7 OctWales 43-19 Georgia Thu 5 OctWales Rugby Travel to Nantes Thu 5 OctWales Rugby Training
Ospreys 28-26 Cardiff Rugby · 6 Oct 2023
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured